DX11 Feature level 10.0 is reqiured to run the engine.

First Of all Hi!!

And then to the error…
The Problem is That I can’t open OR use Unreal Engine version 4.25…

317592-unreal-engine.png

My PC Specs Are:
Intel Core i3 M330 @2.1GHz
Intel HD Graphics 620
And 4 GB RAM…
And OS is Windows 7 Profesional…

So does my Graphic Card Support DiretX11 or not…
In the DirectX diagnostic Tool it shows DirectX11

THE information is Given in the picture… The DDI Version (For Windows 7 and for windows 8 or 10 It’s caled Feature Level) it shows is it 10…

Very strange, but just a search shows, you’re obviously not alone with that problem. I found this article, maybe it’s helpful for you. Not sure about that Win7 Platform Update - as you are on Win7, and already have level 10, but should be good to check.

A 10 year old laptop:

  • you need 8GB of RAM to run the engine, you have 4GB (and you need to share it with GPU…)
  • you need a quad core CPU and you have a dual core
  • you need a video card supporting DX11 features and you don’t have it either

Your OS may have DX11 installed but your last screenshot confirms that your integrated video card does not support it.

Not sure where:

Intel HD Graphics 620

…is coming from. Why do you think your processor has it? It does not. Whatever chip M330 has, even Intel’s website fails to recognise what it really is…

Then Which Graphics am I Having??

Hey Thanks!!

So this means I can’t run Unreal Engine 4.25…

So If my graphics are not Intel HD 620, then which graphics am i having…

So this means I can’t run Unreal
Engine 4.25…

Sadly, no.

So If my graphics are not Intel HD
620, then which graphics am i
having…

Intel® HD Graphics for Previous Generation Intel® Processors

It’s right there in your screenshot - Device name, and on the Intel’s website I linked.